<!-- This comment will put IE 6, 7 and 8 in quirks mode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>The m17n Library: Error Handling</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body onload='searchBox.OnSelectItem(0);'>
<!-- Generated by Doxygen 1.6.3 -->
<script type="text/javascript"><!--
var searchBox = new SearchBox("searchBox", "search",false,'Search');
--></script>
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <img id="MSearchSelect" src="search/search.png"
             onmouseover="return searchBox.OnSearchSelectShow()"
             onmouseout="return searchBox.OnSearchSelectHide()"
             alt=""/>
        <input type="text" id="MSearchField" value="Search" accesskey="S"
             onfocus="searchBox.OnSearchFieldFocus(true)" 
             onblur="searchBox.OnSearchFieldFocus(false)" 
             onkeyup="searchBox.OnSearchFieldChange(event)"/>
        <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
        </div>
      </li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>Error Handling<br/>
<small>
[<a class="el" href="group__m17nMisc.html">MISC API</a>]</small>
</h1>
<p>Error handling of the m17n library.  
<a href="#_details">More...</a></p>
<table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Enumerations</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">enum &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nError.html#gabf12c0d0e0be9fa2c293097f683cf4f3">MErrorCode</a> { <br/>
&nbsp;&nbsp;<a class="el" href="group__m17nError.html#ggabf12c0d0e0be9fa2c293097f683cf4f3a76e69eefe9c13217555e8db90e7c7114">MERROR_NONE</a>, 
<br/>
&nbsp;&nbsp;<a class="el" href="group__m17nError.html#ggabf12c0d0e0be9fa2c293097f683cf4f3a394999d82284ef530b8812bbdc374f2e">MERROR_OBJECT</a>, 
<br/>
&nbsp;&nbsp;<a class="el" href="group__m17nError.html#ggabf12c0d0e0be9fa2c293097f683cf4f3a933ddb03cc3d11eea32c6bbb03c4e06c">MERROR_SYMBOL</a>, 
<br/>
&nbsp;&nbsp;<a class="el" href="group__m17nError.html#ggabf12c0d0e0be9fa2c293097f683cf4f3a2d15e608d82a99dd7c96cca61af6b598">MERROR_MTEXT</a>, 
<br/>
&nbsp;&nbsp;<a class="el" href="group__m17nError.html#ggabf12c0d0e0be9fa2c293097f683cf4f3a672bf029849763e07cfa9ee16281887a">MERROR_TEXTPROP</a>, 
<br/>
&nbsp;&nbsp;<a class="el" href="group__m17nError.html#ggabf12c0d0e0be9fa2c293097f683cf4f3a5895e0834b98abeb3675dd1cc9eccb2e">MERROR_CHAR</a>, 
<br/>
&nbsp;&nbsp;<a class="el" href="group__m17nError.html#ggabf12c0d0e0be9fa2c293097f683cf4f3a4ffdd1e55378a159a3748924d293d2aa">MERROR_CHARTABLE</a>, 
<br/>
&nbsp;&nbsp;<a class="el" href="group__m17nError.html#ggabf12c0d0e0be9fa2c293097f683cf4f3af18bb0c0265434d6dbb29f5e8be38b67">MERROR_CHARSET</a>, 
<br/>
&nbsp;&nbsp;<a class="el" href="group__m17nError.html#ggabf12c0d0e0be9fa2c293097f683cf4f3a0a3949bd38ee8e7aabe05c0238ccbdf2">MERROR_CODING</a>, 
<br/>
&nbsp;&nbsp;<a class="el" href="group__m17nError.html#ggabf12c0d0e0be9fa2c293097f683cf4f3a38927e40ded1cca869e61b10d29f3ecf">MERROR_RANGE</a>, 
<br/>
&nbsp;&nbsp;<a class="el" href="group__m17nError.html#ggabf12c0d0e0be9fa2c293097f683cf4f3a263b061561af44aabf552b9ede4cd57b">MERROR_LANGUAGE</a>, 
<br/>
&nbsp;&nbsp;<a class="el" href="group__m17nError.html#ggabf12c0d0e0be9fa2c293097f683cf4f3a24a64ecee845b0a46593e0c7d5d77792">MERROR_LOCALE</a>, 
<br/>
&nbsp;&nbsp;<a class="el" href="group__m17nError.html#ggabf12c0d0e0be9fa2c293097f683cf4f3a7bb13a723cb3f007c2baf14d270f7b4f">MERROR_PLIST</a>, 
<br/>
&nbsp;&nbsp;<a class="el" href="group__m17nError.html#ggabf12c0d0e0be9fa2c293097f683cf4f3a11fedf19e273e866967449cf120c1ccf">MERROR_MISC</a>, 
<br/>
&nbsp;&nbsp;<a class="el" href="group__m17nError.html#ggabf12c0d0e0be9fa2c293097f683cf4f3a321de69321e3b9753db2b61f01051ec9">MERROR_WIN</a>, 
<br/>
&nbsp;&nbsp;<a class="el" href="group__m17nError.html#ggabf12c0d0e0be9fa2c293097f683cf4f3a8b3b3acd9fe839f75fea988a000d019b">MERROR_X</a>, 
<br/>
&nbsp;&nbsp;<a class="el" href="group__m17nError.html#ggabf12c0d0e0be9fa2c293097f683cf4f3a84b6edc91403288563ea481f62f4dca7">MERROR_FRAME</a>, 
<br/>
&nbsp;&nbsp;<a class="el" href="group__m17nError.html#ggabf12c0d0e0be9fa2c293097f683cf4f3a0974bb6583d91b485d0864f3dfdf793f">MERROR_FACE</a>, 
<br/>
&nbsp;&nbsp;<a class="el" href="group__m17nError.html#ggabf12c0d0e0be9fa2c293097f683cf4f3afd164136787f2382a3395ca411e79779">MERROR_DRAW</a>, 
<br/>
&nbsp;&nbsp;<a class="el" href="group__m17nError.html#ggabf12c0d0e0be9fa2c293097f683cf4f3abcaec438e03d17b82da48e6b11bf1457">MERROR_FLT</a>, 
<br/>
&nbsp;&nbsp;<a class="el" href="group__m17nError.html#ggabf12c0d0e0be9fa2c293097f683cf4f3ab7d4a050672d124423e85033c0e1c940">MERROR_FONT</a>, 
<br/>
&nbsp;&nbsp;<a class="el" href="group__m17nError.html#ggabf12c0d0e0be9fa2c293097f683cf4f3a18d7fb55505046cdfe23d36eae07d3ca">MERROR_FONTSET</a>, 
<br/>
&nbsp;&nbsp;<a class="el" href="group__m17nError.html#ggabf12c0d0e0be9fa2c293097f683cf4f3ae1c3f7315bbd55f20c97a82b8e1873f3">MERROR_FONT_OTF</a>, 
<br/>
&nbsp;&nbsp;<a class="el" href="group__m17nError.html#ggabf12c0d0e0be9fa2c293097f683cf4f3a96075ab1cedbdec873fd42072a563a90">MERROR_FONT_X</a>, 
<br/>
&nbsp;&nbsp;<a class="el" href="group__m17nError.html#ggabf12c0d0e0be9fa2c293097f683cf4f3a634f52b75e77dd12eac4ada21cdd28f7">MERROR_FONT_FT</a>, 
<br/>
&nbsp;&nbsp;<a class="el" href="group__m17nError.html#ggabf12c0d0e0be9fa2c293097f683cf4f3ac7c2b3d57b2c1e123463d67a1106eb5f">MERROR_IM</a>, 
<br/>
&nbsp;&nbsp;<a class="el" href="group__m17nError.html#ggabf12c0d0e0be9fa2c293097f683cf4f3a281a657075e836684b26f215b8c44aab">MERROR_DB</a>, 
<br/>
&nbsp;&nbsp;<a class="el" href="group__m17nError.html#ggabf12c0d0e0be9fa2c293097f683cf4f3a45bd75cab6c27ce7afafffb77559f894">MERROR_IO</a>, 
<br/>
&nbsp;&nbsp;<a class="el" href="group__m17nError.html#ggabf12c0d0e0be9fa2c293097f683cf4f3a57d012d84412ee566d335a11146c82da">MERROR_DEBUG</a>, 
<br/>
&nbsp;&nbsp;<a class="el" href="group__m17nError.html#ggabf12c0d0e0be9fa2c293097f683cf4f3a40efab5540fbb75453c4b7a68defb84b">MERROR_MEMORY</a>, 
<br/>
&nbsp;&nbsp;<a class="el" href="group__m17nError.html#ggabf12c0d0e0be9fa2c293097f683cf4f3acda6dcf2d45618e55396ef43b7ece8d9">MERROR_GD</a>, 
<br/>
&nbsp;&nbsp;<a class="el" href="group__m17nError.html#ggabf12c0d0e0be9fa2c293097f683cf4f3a12d8c707cd9cd85e9f3fd76ac251c49a">MERROR_MAX</a>
<br/>
 }</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight"><p>Enumeration for error code of the m17n library. </p>
 <a href="group__m17nError.html#gabf12c0d0e0be9fa2c293097f683cf4f3">More...</a><br/></td></tr>
<tr><td colspan="2"><h2>Variables</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nError.html#ga995a2e373cfd6a8e5eaca8686b5b0a73">merror_code</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">External variable to hold error code of the m17n library.  <a href="#ga995a2e373cfd6a8e5eaca8686b5b0a73"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void(*&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nError.html#gad60479e31373e222202783a77a43f3fa">m17n_memory_full_handler</a> )(enum <a class="el" href="group__m17nError.html#gabf12c0d0e0be9fa2c293097f683cf4f3">MErrorCode</a> err)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Memory allocation error handler.  <a href="#gad60479e31373e222202783a77a43f3fa"></a><br/></td></tr>
</table>
<hr/><a name="_details"></a><h2>Detailed Description</h2>
<p>Error handling of the m17n library. </p>
<p>There are two types of errors that may happen in a function of the m17n library.</p>
<p>The first type is argument errors. When a library function is called with invalid arguments, it returns a value that indicates error and at the same time sets the external variable <a class="el" href="group__m17nError.html#ga995a2e373cfd6a8e5eaca8686b5b0a73" title="External variable to hold error code of the m17n library.">merror_code</a> to a non-zero integer.</p>
<p>The second type is memory allocation errors. When the required amount of memory is not available on the system, m17n library functions call a function pointed to by the external variable <code>m17n_memory_full_handler</code>. The default value of the variable is a pointer to the default_error_handle() function, which just calls <code> exit()</code>. </p>
<hr/><h2>Enumeration Type Documentation</h2>
<a class="anchor" id="gabf12c0d0e0be9fa2c293097f683cf4f3"></a><!-- doxytag: member="m17n&#45;misc.h::MErrorCode" ref="gabf12c0d0e0be9fa2c293097f683cf4f3" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="group__m17nError.html#gabf12c0d0e0be9fa2c293097f683cf4f3">MErrorCode</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Enumeration for error code of the m17n library. </p>
<p>Enumeration for error code of the m17n library.</p>
<p>When a library function is called with an invalid argument, it sets the external variable <a class="el" href="group__m17nError.html#ga995a2e373cfd6a8e5eaca8686b5b0a73" title="External variable to hold error code of the m17n library.">merror_code</a> to one of these values. All the error codes are positive integers.</p>
<p>When a memory allocation error happens, the function pointed to by the external variable <a class="el" href="group__m17nError.html#gad60479e31373e222202783a77a43f3fa" title="Memory allocation error handler.">m17n_memory_full_handler</a> is called with one of these values as an argument. </p>
<dl><dt><b>Enumerator: </b></dt><dd><table border="0" cellspacing="2" cellpadding="0">
<tr><td valign="top"><em><a class="anchor" id="ggabf12c0d0e0be9fa2c293097f683cf4f3a76e69eefe9c13217555e8db90e7c7114"></a><!-- doxytag: member="MERROR_NONE" ref="ggabf12c0d0e0be9fa2c293097f683cf4f3a76e69eefe9c13217555e8db90e7c7114" args="" -->MERROR_NONE</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="ggabf12c0d0e0be9fa2c293097f683cf4f3a394999d82284ef530b8812bbdc374f2e"></a><!-- doxytag: member="MERROR_OBJECT" ref="ggabf12c0d0e0be9fa2c293097f683cf4f3a394999d82284ef530b8812bbdc374f2e" args="" -->MERROR_OBJECT</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="ggabf12c0d0e0be9fa2c293097f683cf4f3a933ddb03cc3d11eea32c6bbb03c4e06c"></a><!-- doxytag: member="MERROR_SYMBOL" ref="ggabf12c0d0e0be9fa2c293097f683cf4f3a933ddb03cc3d11eea32c6bbb03c4e06c" args="" -->MERROR_SYMBOL</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="ggabf12c0d0e0be9fa2c293097f683cf4f3a2d15e608d82a99dd7c96cca61af6b598"></a><!-- doxytag: member="MERROR_MTEXT" ref="ggabf12c0d0e0be9fa2c293097f683cf4f3a2d15e608d82a99dd7c96cca61af6b598" args="" -->MERROR_MTEXT</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="ggabf12c0d0e0be9fa2c293097f683cf4f3a672bf029849763e07cfa9ee16281887a"></a><!-- doxytag: member="MERROR_TEXTPROP" ref="ggabf12c0d0e0be9fa2c293097f683cf4f3a672bf029849763e07cfa9ee16281887a" args="" -->MERROR_TEXTPROP</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="ggabf12c0d0e0be9fa2c293097f683cf4f3a5895e0834b98abeb3675dd1cc9eccb2e"></a><!-- doxytag: member="MERROR_CHAR" ref="ggabf12c0d0e0be9fa2c293097f683cf4f3a5895e0834b98abeb3675dd1cc9eccb2e" args="" -->MERROR_CHAR</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="ggabf12c0d0e0be9fa2c293097f683cf4f3a4ffdd1e55378a159a3748924d293d2aa"></a><!-- doxytag: member="MERROR_CHARTABLE" ref="ggabf12c0d0e0be9fa2c293097f683cf4f3a4ffdd1e55378a159a3748924d293d2aa" args="" -->MERROR_CHARTABLE</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="ggabf12c0d0e0be9fa2c293097f683cf4f3af18bb0c0265434d6dbb29f5e8be38b67"></a><!-- doxytag: member="MERROR_CHARSET" ref="ggabf12c0d0e0be9fa2c293097f683cf4f3af18bb0c0265434d6dbb29f5e8be38b67" args="" -->MERROR_CHARSET</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="ggabf12c0d0e0be9fa2c293097f683cf4f3a0a3949bd38ee8e7aabe05c0238ccbdf2"></a><!-- doxytag: member="MERROR_CODING" ref="ggabf12c0d0e0be9fa2c293097f683cf4f3a0a3949bd38ee8e7aabe05c0238ccbdf2" args="" -->MERROR_CODING</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="ggabf12c0d0e0be9fa2c293097f683cf4f3a38927e40ded1cca869e61b10d29f3ecf"></a><!-- doxytag: member="MERROR_RANGE" ref="ggabf12c0d0e0be9fa2c293097f683cf4f3a38927e40ded1cca869e61b10d29f3ecf" args="" -->MERROR_RANGE</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="ggabf12c0d0e0be9fa2c293097f683cf4f3a263b061561af44aabf552b9ede4cd57b"></a><!-- doxytag: member="MERROR_LANGUAGE" ref="ggabf12c0d0e0be9fa2c293097f683cf4f3a263b061561af44aabf552b9ede4cd57b" args="" -->MERROR_LANGUAGE</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="ggabf12c0d0e0be9fa2c293097f683cf4f3a24a64ecee845b0a46593e0c7d5d77792"></a><!-- doxytag: member="MERROR_LOCALE" ref="ggabf12c0d0e0be9fa2c293097f683cf4f3a24a64ecee845b0a46593e0c7d5d77792" args="" -->MERROR_LOCALE</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="ggabf12c0d0e0be9fa2c293097f683cf4f3a7bb13a723cb3f007c2baf14d270f7b4f"></a><!-- doxytag: member="MERROR_PLIST" ref="ggabf12c0d0e0be9fa2c293097f683cf4f3a7bb13a723cb3f007c2baf14d270f7b4f" args="" -->MERROR_PLIST</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="ggabf12c0d0e0be9fa2c293097f683cf4f3a11fedf19e273e866967449cf120c1ccf"></a><!-- doxytag: member="MERROR_MISC" ref="ggabf12c0d0e0be9fa2c293097f683cf4f3a11fedf19e273e866967449cf120c1ccf" args="" -->MERROR_MISC</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="ggabf12c0d0e0be9fa2c293097f683cf4f3a321de69321e3b9753db2b61f01051ec9"></a><!-- doxytag: member="MERROR_WIN" ref="ggabf12c0d0e0be9fa2c293097f683cf4f3a321de69321e3b9753db2b61f01051ec9" args="" -->MERROR_WIN</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="ggabf12c0d0e0be9fa2c293097f683cf4f3a8b3b3acd9fe839f75fea988a000d019b"></a><!-- doxytag: member="MERROR_X" ref="ggabf12c0d0e0be9fa2c293097f683cf4f3a8b3b3acd9fe839f75fea988a000d019b" args="" -->MERROR_X</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="ggabf12c0d0e0be9fa2c293097f683cf4f3a84b6edc91403288563ea481f62f4dca7"></a><!-- doxytag: member="MERROR_FRAME" ref="ggabf12c0d0e0be9fa2c293097f683cf4f3a84b6edc91403288563ea481f62f4dca7" args="" -->MERROR_FRAME</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="ggabf12c0d0e0be9fa2c293097f683cf4f3a0974bb6583d91b485d0864f3dfdf793f"></a><!-- doxytag: member="MERROR_FACE" ref="ggabf12c0d0e0be9fa2c293097f683cf4f3a0974bb6583d91b485d0864f3dfdf793f" args="" -->MERROR_FACE</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="ggabf12c0d0e0be9fa2c293097f683cf4f3afd164136787f2382a3395ca411e79779"></a><!-- doxytag: member="MERROR_DRAW" ref="ggabf12c0d0e0be9fa2c293097f683cf4f3afd164136787f2382a3395ca411e79779" args="" -->MERROR_DRAW</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="ggabf12c0d0e0be9fa2c293097f683cf4f3abcaec438e03d17b82da48e6b11bf1457"></a><!-- doxytag: member="MERROR_FLT" ref="ggabf12c0d0e0be9fa2c293097f683cf4f3abcaec438e03d17b82da48e6b11bf1457" args="" -->MERROR_FLT</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="ggabf12c0d0e0be9fa2c293097f683cf4f3ab7d4a050672d124423e85033c0e1c940"></a><!-- doxytag: member="MERROR_FONT" ref="ggabf12c0d0e0be9fa2c293097f683cf4f3ab7d4a050672d124423e85033c0e1c940" args="" -->MERROR_FONT</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="ggabf12c0d0e0be9fa2c293097f683cf4f3a18d7fb55505046cdfe23d36eae07d3ca"></a><!-- doxytag: member="MERROR_FONTSET" ref="ggabf12c0d0e0be9fa2c293097f683cf4f3a18d7fb55505046cdfe23d36eae07d3ca" args="" -->MERROR_FONTSET</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="ggabf12c0d0e0be9fa2c293097f683cf4f3ae1c3f7315bbd55f20c97a82b8e1873f3"></a><!-- doxytag: member="MERROR_FONT_OTF" ref="ggabf12c0d0e0be9fa2c293097f683cf4f3ae1c3f7315bbd55f20c97a82b8e1873f3" args="" -->MERROR_FONT_OTF</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="ggabf12c0d0e0be9fa2c293097f683cf4f3a96075ab1cedbdec873fd42072a563a90"></a><!-- doxytag: member="MERROR_FONT_X" ref="ggabf12c0d0e0be9fa2c293097f683cf4f3a96075ab1cedbdec873fd42072a563a90" args="" -->MERROR_FONT_X</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="ggabf12c0d0e0be9fa2c293097f683cf4f3a634f52b75e77dd12eac4ada21cdd28f7"></a><!-- doxytag: member="MERROR_FONT_FT" ref="ggabf12c0d0e0be9fa2c293097f683cf4f3a634f52b75e77dd12eac4ada21cdd28f7" args="" -->MERROR_FONT_FT</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="ggabf12c0d0e0be9fa2c293097f683cf4f3ac7c2b3d57b2c1e123463d67a1106eb5f"></a><!-- doxytag: member="MERROR_IM" ref="ggabf12c0d0e0be9fa2c293097f683cf4f3ac7c2b3d57b2c1e123463d67a1106eb5f" args="" -->MERROR_IM</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="ggabf12c0d0e0be9fa2c293097f683cf4f3a281a657075e836684b26f215b8c44aab"></a><!-- doxytag: member="MERROR_DB" ref="ggabf12c0d0e0be9fa2c293097f683cf4f3a281a657075e836684b26f215b8c44aab" args="" -->MERROR_DB</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="ggabf12c0d0e0be9fa2c293097f683cf4f3a45bd75cab6c27ce7afafffb77559f894"></a><!-- doxytag: member="MERROR_IO" ref="ggabf12c0d0e0be9fa2c293097f683cf4f3a45bd75cab6c27ce7afafffb77559f894" args="" -->MERROR_IO</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="ggabf12c0d0e0be9fa2c293097f683cf4f3a57d012d84412ee566d335a11146c82da"></a><!-- doxytag: member="MERROR_DEBUG" ref="ggabf12c0d0e0be9fa2c293097f683cf4f3a57d012d84412ee566d335a11146c82da" args="" -->MERROR_DEBUG</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="ggabf12c0d0e0be9fa2c293097f683cf4f3a40efab5540fbb75453c4b7a68defb84b"></a><!-- doxytag: member="MERROR_MEMORY" ref="ggabf12c0d0e0be9fa2c293097f683cf4f3a40efab5540fbb75453c4b7a68defb84b" args="" -->MERROR_MEMORY</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="ggabf12c0d0e0be9fa2c293097f683cf4f3acda6dcf2d45618e55396ef43b7ece8d9"></a><!-- doxytag: member="MERROR_GD" ref="ggabf12c0d0e0be9fa2c293097f683cf4f3acda6dcf2d45618e55396ef43b7ece8d9" args="" -->MERROR_GD</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="ggabf12c0d0e0be9fa2c293097f683cf4f3a12d8c707cd9cd85e9f3fd76ac251c49a"></a><!-- doxytag: member="MERROR_MAX" ref="ggabf12c0d0e0be9fa2c293097f683cf4f3a12d8c707cd9cd85e9f3fd76ac251c49a" args="" -->MERROR_MAX</em>&nbsp;</td><td>
</td></tr>
</table>
</dd>
</dl>

</div>
</div>
<hr/><h2>Variable Documentation</h2>
<a class="anchor" id="ga995a2e373cfd6a8e5eaca8686b5b0a73"></a><!-- doxytag: member="m17n&#45;core.c::merror_code" ref="ga995a2e373cfd6a8e5eaca8686b5b0a73" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int <a class="el" href="group__m17nError.html#ga995a2e373cfd6a8e5eaca8686b5b0a73">merror_code</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>External variable to hold error code of the m17n library. </p>
<p>The external variable <a class="el" href="group__m17nError.html#ga995a2e373cfd6a8e5eaca8686b5b0a73" title="External variable to hold error code of the m17n library.">merror_code</a> holds an error code of the m17n library. When a library function is called with an invalid argument, it sets this variable to one of <code>enum</code> <a class="el" href="group__m17nError.html#gabf12c0d0e0be9fa2c293097f683cf4f3" title="Enumeration for error code of the m17n library.">MErrorCode</a>.</p>
<p>This variable initially has the value 0. </p>

</div>
</div>
<a class="anchor" id="gad60479e31373e222202783a77a43f3fa"></a><!-- doxytag: member="m17n&#45;core.c::m17n_memory_full_handler" ref="gad60479e31373e222202783a77a43f3fa" args=")(enum MErrorCode err)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void(* <a class="el" href="group__m17nError.html#gad60479e31373e222202783a77a43f3fa">m17n_memory_full_handler</a>)(enum <a class="el" href="group__m17nError.html#gabf12c0d0e0be9fa2c293097f683cf4f3">MErrorCode</a> err)</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Memory allocation error handler. </p>
<p>The external variable <a class="el" href="group__m17nError.html#gad60479e31373e222202783a77a43f3fa" title="Memory allocation error handler.">m17n_memory_full_handler</a> holds a pointer to the function to call when a library function failed to allocate memory. <b>err</b> is one of <code>enum</code> <a class="el" href="group__m17nError.html#gabf12c0d0e0be9fa2c293097f683cf4f3" title="Enumeration for error code of the m17n library.">MErrorCode</a> indicating in which function the error occurred.</p>
<p>This variable initially points a function that simply calls the <code>exit </code>() function with <b>err</b> as an argument.</p>
<p>An application program that needs a different error handling can change this variable to point a proper function. </p>

</div>
</div>
</div>
<!--- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&nbsp;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&nbsp;</span>Data Structures</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&nbsp;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&nbsp;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&nbsp;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&nbsp;</span>Typedefs</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&nbsp;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&nbsp;</span>Enumerator</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&nbsp;</span>Defines</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<hr>

<ADDRESS>
<a href="http://www.m17n.org/m17n-lib-en/index.html" target="mulewindow"><img src="parrot.png" align=bottom alt="m17n-lib Home" border=0></a>
</ADDRESS>
</body>
</HTML>

<!-- Copyright information

Copyright (C) 2001 Information-technology Promotion Agency (IPA)
Copyright (C) 2001-2011
  National Institute of Advanced Industrial Science and Technology (AIST)

This file is part of the m17n library documentation.

Permission is granted to copy, distribute and/or modify this document
under the terms of the GNU Free Documentation License, Version 1.2 or
any later version published by the Free Software Foundation; with no
Invariant Section, no Front-Cover Texts,
and no Back-Cover Texts.  A copy of the license is included in the
appendix entitled "GNU Free Documentation License".
-->
